Package org.silverpeas.mobile.server.services

## Class ServiceMedia

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.mobile.server.services.AbstractRestWebService
    - - org.silverpeas.mobile.server.services.ServiceMedia

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

      @WebService
      @Authorized
      @Path("mobile/medialib/{appId}")
      public class ServiceMedia
      extends AbstractRestWebService

  Service de gestion des galleries d'images.
  Author:
    svuillet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `MAINSESSIONCONTROLLER_ATTRIBUT_NAME`

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceMedia()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StreamingList<BaseDTO>` | `getAlbumsAndPictures​(String instanceId, String rootAlbumId, int callNumber)` |
    `String` | `getComponentId()` |
    `MediaDTO` | `getMedia​(String instanceId, String id)` |
    `PhotoDTO` | `getPreviewPicture​(String instanceId, String pictureId)` | Retourne la photo preview.
    `protected String` | `getResourceBasePath()` |
    `SoundDTO` | `getSound​(String instanceId, String soundId)` |
    `VideoDTO` | `getVideo​(String instanceId, String videoId)` |
    `VideoStreamingDTO` | `getVideoStreaming​(String instanceId, String videoId)` |
    `void` | `uploadPicture​(String name, String data, String idGallery, String idAlbum)` | Importation d'une image dans un album.

    - ### Methods inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `createStreamingList, getMainSessionController, getSettings, initSilverpeasSession, makeStreamingList, setMainsessioncontroller`

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

      `validateUserAuthorization`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Constructor Detail

    - #### ServiceMedia

          public ServiceMedia()

  - ### Method Detail

    - #### uploadPicture

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("add/{name}/{data}/{idGallery}/{idAlbum}")
          public void uploadPicture​(@PathParam("name")
                                    String name,
                                    @PathParam("data")
                                    String data,
                                    @PathParam("idGallery")
                                    String idGallery,
                                    @PathParam("idAlbum")
                                    String idAlbum)

      Importation d'une image dans un album.

    - #### getMedia

          @GET
          @Produces("application/json")
          @Path("media/{id}")
          public MediaDTO getMedia​(@PathParam("appId")
                                   String instanceId,
                                   @PathParam("id")
                                   String id)

    - #### getAlbumsAndPictures

          @GET
          @Produces("application/json")
          @Path("albumsandpics/{rootAlbumId}/{callNumber}")
          public StreamingList<BaseDTO> getAlbumsAndPictures​(@PathParam("appId")
                                                             String instanceId,
                                                             @PathParam("rootAlbumId")
                                                             String rootAlbumId,
                                                             @PathParam("callNumber")
                                                             int callNumber)

    - #### getSound

          @GET
          @Produces("application/json")
          @Path("sound/{id}")
          public SoundDTO getSound​(@PathParam("appId")
                                   String instanceId,
                                   @PathParam("id")
                                   String soundId)

    - #### getVideo

          @GET
          @Produces("application/json")
          @Path("video/{videoId}")
          public VideoDTO getVideo​(@PathParam("appId")
                                   String instanceId,
                                   @PathParam("videoId")
                                   String videoId)

    - #### getVideoStreaming

          @GET
          @Produces("application/json")
          @Path("videostream/{videoId}")
          public VideoStreamingDTO getVideoStreaming​(@PathParam("appId")
                                                     String instanceId,
                                                     @PathParam("videoId")
                                                     String videoId)

    - #### getPreviewPicture

          @GET
          @Produces("application/json")
          @Path("photo/{pictureId}")
          public PhotoDTO getPreviewPicture​(@PathParam("appId")
                                            String instanceId,
                                            @PathParam("pictureId")
                                            String pictureId)

      Retourne la photo preview.

    - #### getResourceBasePath

          protected String getResourceBasePath()

      Specified by:
        `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`

    - #### getComponentId

          public String getComponentId()